Eclipse (paquete de Android) Crashing

Recientemente he actualizado a Ubuntu 14.04. Desde entonces Eclipse se ha estrellado. El mensaje es

# A fatal error has been detected by the Java Runtime Environment: # # SIGSEGV (0xb) at pc=0x734be86d, pid=7930, tid=3076015872 # # JRE version: Java(TM) SE Runtime Environment (8.0_05-b13) (build 1.8.0_05-b13) # Java VM: Java HotSpot(TM) Client VM (25.5-b02 mixed mode linux-x86 ) # Problematic frame: # C [libsoup-2.4.so.1+0x5486d] soup_session_feature_detach+0x1d # # Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again # # An error report file with more information is saved as: # /home/funcoding/Android Development/adt-bundle-linux-x86-20131030/eclipse/hs_err_pid7930.log # # If you would like to submit a bug report, please visit: # http://bugreport.sun.com/bugreport/crash.jsp # The crash happened outside the Java Virtual Machine in native code. # See problematic frame for where to report the bug. # Aborted (core dumped) 

También intenté agregar -Dorg.eclipse.swt.browser.DefaultType=mozilla" a eclipse.ini

Actualización: He intentado muchas cosas pero sigue fallando inesperadamente. Por último, he decidido seguir con Android Studio (funcionando sin problemas a partir de ahora).

Esto es sólo una corrección temporal, y estoy seguro de que no se seleccionará como una respuesta, pero estoy poniendo esto aquí para que cualquier persona con este problema puede por lo menos seguir utilizando eclipse hasta que se encuentra una solución mejor.

Las sugerencias de herramientas parecen estar causando el problema, así que las inhabilité. Soy capaz de continuar la programación y no he tenido que choque en mí de nuevo (todavía).

Para deshabilitar las sugerencias de herramientas, vaya a Windows> Preferencias> Java> Editor> Hover y desactive la selección de todas las preferencias de modificador de clave de desplazamiento de texto.

Espero que esto ayude.

editar:

También se bloquea cuando eclipse intenta ayudar a los usuarios de contenido. Para desactivarlo, vaya a Windows> Preferencias> Java> Editor> Asistencia de contenido. Desplácese hasta Activación automática y desactive la activación automática.

Este error ha sido reportado aquí: https://bugs.eclipse.org/bugs/show_bug.cgi?id=404776

Corrección descrita en los comentarios que funciona para mí también es añadir esta línea al final de su archivo eclipse.ini

-Dorg.eclipse.swt.browser.DefaultType = mozilla

Estoy ejecutando Ubuntu 14.04 y estaba recibiendo esto con el paquete Android ADT de eclipse. La instalación de eclipse a través de Ubuntu Software Center y luego la instalación de ADT a través de las instrucciones a continuación trabajó para mí.

http://developer.android.com/sdk/installing/installing-adt.html

Esto probablemente no es la solución más inteligente, pero sin duda ha resuelto mis problemas:

Después de jugar con los parámetros de eclipse.ini le pedí a un amigo mío que me diera su eclipse.ini basado en Kepler y descubrí que algunos paquetes invocados en el inicio eran más nuevos que los que vienen con el paquete ADT.

Así que:

1) instalado una nueva copia de Kepler 2) utilizó el sitio de actualización de Android para agregar el marco de Android 3) después de reiniciar me pidió que actualizar el SDK de Android

Hasta ahora no tuve ningún accidente (autocompletado, etc) por lo que parece que resolvió el problema …

Espero que ayude

Luca

Puede reinstalar eclipse.

Yo tenía este problema después de actualizar a 14.04. He descargado el último JRE, no funcionó. Entonces recibí el último eclipse y ahora funciona.

  • Android studio 1.0.2 no crea aplicación: mergeDebugResources error
  • Cómo configurar la ruta ANDROID_HOME en ubuntu? Proporcione los pasos
  • Vista de la documentación de Android studio open
  • Ubuntu 16.04 Versión OpenGL no reconocida
  • Sigue recibiendo este error cuando estoy tratando de compilar con Gradle en Android Studio en UBUNTU 14.04
  • ¿Cómo abrir el administrador de AVD en Ubuntu Linux desde la línea de comandos?
  • No se puede conectar la versión 2.3.6 de Android en Ubuntu 12.04
  • Iniciar avd falla, diciendo que no puede encontrar el emulador, pero existe
  • Depuración en Eclipse con teléfono Android real en Ubuntu 10.10
  • La creación de la aplicación de Ionic para Android en Linux falla con el código de salida 2: Error al encontrar 'ANDROID_HOME'
  • Configurar dispositivo para el desarrollo (?????? sin permisos)
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.